## Iterative BMA
rm(list = ls())
library(BMA)
setwd("insert folder")


#########################################
# Table 2 - Panel 1:
#########################################
XX <- read.csv("iBMA_Table2_panel1.csv", header=TRUE)

Y1=XX[,1]
X=XX[,2:ncol(XX)]

iBMAresults=iBMA.bicreg(X, Y1, wt = rep(1, nrow(X)),
                        thresProbne0 = 0.1, maxNvar=40, nIter = 200,
                        verbose = FALSE, sorted = FALSE, OR = 10^20, nbest=100)
summary(iBMAresults)
orderplot(iBMAresults)


#########################################
# Table 2 - Panel 2:
#########################################
XX <- read.csv("iBMA_Table2_panel2.csv", header=TRUE)

Y1=XX[,1]
X=XX[,2:ncol(XX)]

iBMAresults=iBMA.bicreg(X, Y1, wt = rep(1, nrow(X)),
                        thresProbne0 = 0.1, maxNvar=40, nIter = 200,
                        verbose = FALSE, sorted = FALSE, OR = 10^20, nbest=100)
summary(iBMAresults)
orderplot(iBMAresults)


#########################################
# Table 2 - Panel 3:
#########################################
XX <- read.csv("iBMA_Table2_panel3.csv", header=TRUE)

Y1=XX[,1]
X=XX[,2:ncol(XX)]

iBMAresults=iBMA.bicreg(X, Y1, wt = rep(1, nrow(X)),
                        thresProbne0 = 0.1, maxNvar=40, nIter = 200,
                        verbose = FALSE, sorted = FALSE, OR = 10^20, nbest=100)
summary(iBMAresults)
orderplot(iBMAresults)


#########################################
# Table 2 - Panel 4:
#########################################
XX <- read.csv("iBMA_Table2_panel4.csv", header=TRUE)

Y1=XX[,1]
X=XX[,2:ncol(XX)]

iBMAresults=iBMA.bicreg(X, Y1, wt = rep(1, nrow(X)),
                        thresProbne0 = 0.1, maxNvar=40, nIter = 200,
                        verbose = FALSE, sorted = FALSE, OR = 10^20, nbest=100)
summary(iBMAresults)
orderplot(iBMAresults)
